OverlayToolKit
Keywords: uk.ac.ic.doc.automed.p2p.overlay.OverlayToolKit class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p.overlay
Class OverlayToolKit

    java.lang.Object
      uk.ac.ic.doc.automed.p2p.overlay.OverlayToolKit

    public class OverlayToolKit

extends java.lang.Object

OverlayToolKit.java
A collection of utility methods

Author:
  Duc M Le dmle@doc.ic.ac.uk
  Created on August 16, 2006
  Department of Computing, Imperial College

Field Summary
`static int` | `MAX_KEY_SIZE`

Method Summary
`static void` | `configureLogging()` Configure the overlay logging targets.
`static ow.id.ID` | `createIDFromNumber(long intVal)` Create a DHT-compatible ID for an integral number
`static ow.id.ID` | `createIDFromString(java.lang.String keyStr)` Create an ID object from a String
`static ow.id.ID` | `createRandomID()` Create a random DHT-compatible ID
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_KEY_SIZE

    public static final int MAX_KEY_SIZE

See Also:
  Constant Field Values

Method Detail

### createRandomID

    public static ow.id.ID createRandomID()

  Create a random DHT-compatible ID

### createIDFromString

    public static ow.id.ID createIDFromString(java.lang.String keyStr)

  Create an ID object from a String

### createIDFromNumber

    public static ow.id.ID createIDFromNumber(long intVal)

  Create a DHT-compatible ID for an integral number

### configureLogging

    public static void configureLogging()

  Configure the overlay logging targets. Call this method before running overlay so that messages can be saved to log files instead of being printed out on the screen

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD